Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.matrix
Class AnnotationPropertyMatrixColumn

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.matrix.AnnotationPropertyMatrixColumn

All Implemented Interfaces:
  EditableMatrixColumn, MatrixColumn, SortableMatrixColumn

    public class AnnotationPropertyMatrixColumn

extends Object
implements EditableMatrixColumn, SortableMatrixColumn

Author:
  Holger Knublauch

Constructor Summary
`AnnotationPropertyMatrixColumn(RDFProperty property)`

Method Summary
`RDFProperty` | `getAnnotationProperty()`
`TableCellRenderer` | `getCellRenderer()`
`String` | `getName()`
`Comparator` | `getSortComparator()`
`TableCellEditor` | `getTableCellEditor()`
`int` | `getWidth()`
`boolean` | `isCellEditable(RDFResource instance)`
`void` | `setValueAt(RDFResource instance, Object value)` Called when editing has been finished.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPropertyMatrixColumn

    public AnnotationPropertyMatrixColumn(RDFProperty property)

Method Detail

### getAnnotationProperty

    public RDFProperty getAnnotationProperty()

### getCellRenderer

    public TableCellRenderer getCellRenderer()

  Specified by:
    `getCellRenderer` in interface `MatrixColumn`

### getName

    public String getName()

  Specified by:
    `getName` in interface `MatrixColumn`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in interface `MatrixColumn`

### getSortComparator

    public Comparator getSortComparator()

  Specified by:
    `getSortComparator` in interface `SortableMatrixColumn`

### getTableCellEditor

    public TableCellEditor getTableCellEditor()

  Specified by:
    `getTableCellEditor` in interface `EditableMatrixColumn`

### isCellEditable

    public boolean isCellEditable(RDFResource instance)

  Specified by:
    `isCellEditable` in interface `EditableMatrixColumn`

### setValueAt

    public void setValueAt(RDFResource instance,
                           Object value)

  Description copied from interface: `EditableMatrixColumn`
  Called when editing has been finished.

  Specified by:
    `setValueAt` in interface `EditableMatrixColumn`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.